You are not logged in.

#1 2013-04-07 02:18:57

saronno
Member
Registered: 2009-10-02
Posts: 116

[SOLVED] Smplayer mplayer-vaapi .. Smplayer doesn't work after update.

I use smplayer with mplayer-vaapi, but after the upgrade smplayer doesn't show any video
only audio.
The strange thing is that if you lauch the video with mplayer only it works perfectly.

Last edited by saronno (2013-04-07 12:25:00)

Offline

#2 2013-04-07 02:26:26

saronno
Member
Registered: 2009-10-02
Posts: 116

Re: [SOLVED] Smplayer mplayer-vaapi .. Smplayer doesn't work after update.

I tried to use the same command line from shell and .... no video.

The command is:

/usr/bin/mplayer -noquiet -nofs -nomouseinput -sub-fuzziness 1 -identify -slave -vo vaapi:gl -ao alsa -nokeepaspect -nodr -double -input nodefault-bindings:conf=/dev/null -stop-xscreensaver -wid 48234529 -monitorpixelaspect 1 -ass -embeddedfonts -ass-line-spacing 0 -ass-font-scale 1 -ass-styles /home/saronno/.config/smplayer/styles.ass -fontconfig -font Arial -subfont-autoscale 0 -subfont-osd-scale 20 -subfont-text-scale 20 -subcp ISO-8859-1 -vid 0 -aid 0 -subpos 100 -volume 12 -cache 2048 -osdlevel 0 -noslices -channels 2 -af scaletempo,equalizer=0:0:0:0:0:0:0:0:0:0 -softvol -softvol-max 110 /home/saronno/temp/The_Crusaders_of_Origin.avi
MPlayer SVN-r35107-4.7.2 (C) 2000-2012 MPlayer Team
198 audio & 409 video codecs
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing /home/saronno/temp/The_Crusaders_of_Origin.avi.
Cache fill:  0.00% (0 bytes)   

libavformat version 54.25.104 (internal)
libavformat file format detected.
ID_AUDIO_ID=0
[lavf] stream 0: audio (aac), -aid 0, -alang und
ID_VIDEO_ID=0
[lavf] stream 1: video (h264), -vid 0
VIDEO:  [H264]  480x360  24bpp  29.966 fps  500.6 kbps (61.1 kbyte/s)
Clip info:
major_brand: mp42
ID_CLIP_INFO_NAME0=major_brand
ID_CLIP_INFO_VALUE0=mp42
minor_version: 0
ID_CLIP_INFO_NAME1=minor_version
ID_CLIP_INFO_VALUE1=0
compatible_brands: isomavc1mp42
ID_CLIP_INFO_NAME2=compatible_brands
ID_CLIP_INFO_VALUE2=isomavc1mp42
creation_time: 2008-07-06 22:36:11
ID_CLIP_INFO_NAME3=creation_time
ID_CLIP_INFO_VALUE3=2008-07-06 22:36:11
ID_CLIP_INFO_N=4
Load subtitles in /home/saronno/temp/
ID_FILENAME=/home/saronno/temp/The_Crusaders_of_Origin.avi
ID_DEMUXER=lavfpref
ID_VIDEO_FORMAT=H264
ID_VIDEO_BITRATE=500552
ID_VIDEO_WIDTH=480
ID_VIDEO_HEIGHT=360
ID_VIDEO_FPS=29.966
ID_VIDEO_ASPECT=1.3333
ID_AUDIO_FORMAT=MP4A
ID_AUDIO_BITRATE=108040
ID_AUDIO_RATE=44100
ID_AUDIO_NCH=2
ID_START_TIME=0.00
ID_LENGTH=264.46
ID_SEEKABLE=1
Cache not responding! [performance issue]
ID_CHAPTERS=0
[vo_vaapi] Using OpenGL rendering
libva info: VA-API version 0.33.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/dri/fglrx_drv_video.so
libva info: Found init function __vaDriverInit_0_32
libva error: /usr/lib/dri/fglrx_drv_video.so init failed
libva info: va_openDriver() returns -1
[vo_vaapi] vaInitialize(): unknown libva error
Error opening/initializing the selected video_out (-vo) device.
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
libavcodec version 54.53.100 (internal)
AUDIO: 44100 Hz, 2 ch, s16le, 108.0 kbit/7.66% (ratio: 13505->176400)
ID_AUDIO_BITRATE=108040
ID_AUDIO_RATE=44100
ID_AUDIO_NCH=2
Selected audio codec: [ffaac] afm: ffmpeg (FFmpeg AAC (MPEG-2/MPEG-4 Audio))
==========================================================================
AO: [alsa] 44100Hz 2ch floatle (4 bytes per sample)
ID_AUDIO_CODEC=ffaac
[Mixer] No hardware mixing, inserting volume filter.
Video: no video
Starting playback...
^C  25.6 (25.5) of 264.5 (04:24.4)  1.1% 50%

Offline

#3 2013-04-07 11:45:34

saronno
Member
Registered: 2009-10-02
Posts: 116

Re: [SOLVED] Smplayer mplayer-vaapi .. Smplayer doesn't work after update.

update:

[2013-04-07 00:57] [PACMAN] starting full system upgrade
[2013-04-07 01:02] [PACMAN] upgraded linux-api-headers (3.7.4-1 -> 3.8.4-1)
[2013-04-07 01:02] [ALPM-SCRIPTLET] Generating locales...
[2013-04-07 01:02] [ALPM-SCRIPTLET]   en_US.UTF-8... done
[2013-04-07 01:02] [ALPM-SCRIPTLET]   it_IT.UTF-8... done
[2013-04-07 01:02] [ALPM-SCRIPTLET] Generation complete.
[2013-04-07 01:02] [PACMAN] upgraded glibc (2.17-3 -> 2.17-4)
[2013-04-07 01:02] [PACMAN] upgraded binutils (2.23.1-3 -> 2.23.2-1)
[2013-04-07 01:02] [PACMAN] upgraded gcc-libs (4.7.2-4 -> 4.8.0-1)
[2013-04-07 01:02] [PACMAN] upgraded icu (50.1.2-1 -> 51.1-1)
[2013-04-07 01:02] [PACMAN] upgraded boost-libs (1.52.0-1 -> 1.53.0-2)
[2013-04-07 01:02] [PACMAN] upgraded cairo-dock (3.1.2-2 -> 3.2.0-2)
[2013-04-07 01:02] [PACMAN] upgraded systemd (198-1 -> 200-1)
[2013-04-07 01:02] [PACMAN] installed libwebp (0.3.0-1)
[2013-04-07 01:02] [PACMAN] upgraded libltdl (2.4.2-7 -> 2.4.2-8)
[2013-04-07 01:02] [PACMAN] installed python-xdg (0.25-1)
[2013-04-07 01:02] [PACMAN] installed dotconf (1.3-3)
[2013-04-07 01:02] [PACMAN] upgraded libpulse (3.0-2 -> 3.0-3)
[2013-04-07 01:02] [PACMAN] installed speech-dispatcher (0.8-1)
[2013-04-07 01:02] [PACMAN] upgraded chromium (25.0.1364.172-2 -> 26.0.1410.43-2)
[2013-04-07 01:02] [PACMAN] upgraded diffutils (3.2-1 -> 3.3-1)
[2013-04-07 01:02] [PACMAN] upgraded dnssec-anchors (20120422-1 -> 20130320-1)
[2013-04-07 01:02] [PACMAN] upgraded dnsutils (9.9.2.P1-1 -> 9.9.2.P2-1)
[2013-04-07 01:02] [PACMAN] upgraded ffmpeg (1:1.1.3-1 -> 1:1.2-2)
[2013-04-07 01:02] [PACMAN] upgraded file (5.13-1 -> 5.14-1)
[2013-04-07 01:02] [PACMAN] upgraded sqlite (3.7.16-1 -> 3.7.16.1-1)
[2013-04-07 01:02] [PACMAN] upgraded firefox (19.0.2-1 -> 20.0-1)
[2013-04-07 01:02] [PACMAN] upgraded gcc (4.7.2-4 -> 4.8.0-1)
[2013-04-07 01:02] [PACMAN] upgraded gptfdisk (0.8.6-1 -> 0.8.6-2)
[2013-04-07 01:02] [PACMAN] upgraded harfbuzz (0.9.9-3 -> 0.9.14-1)
[2013-04-07 01:02] [PACMAN] upgraded imagemagick (6.8.3.10-1 -> 6.8.4.6-1)
[2013-04-07 01:02] [PACMAN] upgraded kdelibs (4.10.1-2 -> 4.10.2-1)
[2013-04-07 01:03] [PACMAN] upgraded lib32-glibc (2.17-2 -> 2.17-4)
[2013-04-07 01:03] [PACMAN] upgraded lib32-gcc-libs (4.7.2-4 -> 4.8.0-1)
[2013-04-07 01:03] [PACMAN] upgraded libdrm (2.4.42-1 -> 2.4.43-1)
[2013-04-07 01:03] [PACMAN] upgraded lib32-libdrm (2.4.42-1 -> 2.4.43-1)
[2013-04-07 01:03] [PACMAN] upgraded lib32-libffi (3.0.12-1 -> 3.0.13-1)
[2013-04-07 01:03] [PACMAN] upgraded lib32-libgcrypt (1.5.0-1 -> 1.5.1-1)
[2013-04-07 01:03] [PACMAN] upgraded lib32-sqlite (3.7.16-1 -> 3.7.16.1-1)
[2013-04-07 01:03] [PACMAN] upgraded libffi (3.0.12-1 -> 3.0.13-1)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-it (4.0.1-1 -> 4.0.2-1)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-common (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-base (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-calc (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-draw (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-gnome (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-impress (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-kde4 (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-math (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded postgresql-libs (9.2.3-1 -> 9.2.4-1)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-postgresql-connector (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-sdk (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-sdk-doc (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libreoffice-writer (4.0.1-4 -> 4.0.2-2)
[2013-04-07 01:03] [PACMAN] upgraded libsasl (2.1.23-9 -> 2.1.23-10)
[2013-04-07 01:03] [PACMAN] upgraded libtool (2.4.2-7 -> 2.4.2-8)
[2013-04-07 01:03] [PACMAN] upgraded libtracker-sparql (0.14.4-3 -> 0.14.5-1)
[2013-04-07 01:03] [PACMAN] upgraded libwacom (0.6-1 -> 0.7-1)
[2013-04-07 01:03] [PACMAN] upgraded libxi (1.7-1 -> 1.7.1-1)
[2013-04-07 01:03] [PACMAN] upgraded libxkbcommon (0.2.0-3 -> 0.3.0-1)
[2013-04-07 01:03] [PACMAN] upgraded libzip (0.10.1-1 -> 0.11-1)
[2013-04-07 01:03] [PACMAN] upgraded lightdm (1:1.4.0-3 -> 1:1.4.1-1)
[2013-04-07 01:03] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2013-04-07 01:03] [ALPM-SCRIPTLET] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Building image from preset: 'default'
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Starting build: 3.8.5-1-ARCH
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Creating gzip initcpio image: /boot/initramfs-linux.img
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Image generation successful
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Building image from preset: 'fallback'
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Starting build: 3.8.5-1-ARCH
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2013-04-07 01:03] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Creating gzip initcpio image: /boot/initramfs-linux-fallback.img
[2013-04-07 01:03] [ALPM-SCRIPTLET] ==> Image generation successful
[2013-04-07 01:03] [PACMAN] upgraded linux (3.8.4-1 -> 3.8.5-1)
[2013-04-07 01:03] [PACMAN] upgraded linux-headers (3.8.4-1 -> 3.8.5-1)
[2013-04-07 01:03] [PACMAN] upgraded lirc-utils (1:0.9.0-39 -> 1:0.9.0-40)
[2013-04-07 01:03] [PACMAN] upgraded lm_sensors (3.3.3-1 -> 3.3.3-2)
[2013-04-07 01:03] [PACMAN] upgraded lua (5.2.1-3 -> 5.2.2-1)
[2013-04-07 01:03] [PACMAN] upgraded mpg123 (1.15.1-1 -> 1.15.3-1)
[2013-04-07 01:03] [PACMAN] upgraded openssh (6.1p1-6 -> 6.2p1-1)
[2013-04-07 01:03] [PACMAN] upgraded partclone (0.2.48-5 -> 0.2.58-1)
[2013-04-07 01:03] [PACMAN] upgraded procps-ng (3.3.5-1 -> 3.3.7-1)
[2013-04-07 01:03] [ALPM-SCRIPTLET] >>> If you have per-user copies of configuration files (such as client.conf,
[2013-04-07 01:03] [ALPM-SCRIPTLET]     daemon.conf or default.pa) in ~/.pulse/, make sure you keep them in sync
[2013-04-07 01:03] [ALPM-SCRIPTLET]     with changes to the packaged files in /etc/pulse/. Otherwise, PulseAudio
[2013-04-07 01:03] [ALPM-SCRIPTLET]     may refuse to start due to configuration errors.
[2013-04-07 01:03] [ALPM-SCRIPTLET]
[2013-04-07 01:03] [ALPM-SCRIPTLET] >>> Autospawn is now disabled by default. If you need to run PulseAudio outside
[2013-04-07 01:03] [ALPM-SCRIPTLET]     of an X session, either:
[2013-04-07 01:03] [ALPM-SCRIPTLET]       - Enable autospawn in client.conf, or
[2013-04-07 01:03] [ALPM-SCRIPTLET]       - Start it manually by executing 'pulseaudio --start'
[2013-04-07 01:03] [PACMAN] upgraded pulseaudio (3.0-2 -> 3.0-3)
[2013-04-07 01:03] [PACMAN] upgraded qt4 (4.8.4-13 -> 4.8.4-16)
[2013-04-07 01:03] [PACMAN] upgraded raptor (2.0.9-1 -> 2.0.9-2)
[2013-04-07 01:03] [PACMAN] upgraded ruby (1.9.3_p392-1 -> 2.0.0_p0-1)
[2013-04-07 01:03] [PACMAN] upgraded smplayer (0.8.3-2 -> 0.8.4-1)
[2013-04-07 01:03] [PACMAN] upgraded subversion (1.7.8-1 -> 1.7.9-1)
[2013-04-07 01:03] [PACMAN] upgraded systemd-sysvcompat (198-1 -> 200-1)
[2013-04-07 01:03] [PACMAN] upgraded thunderbird (17.0.4-1 -> 17.0.5-1)
[2013-04-07 01:03] [ALPM-SCRIPTLET]
[2013-04-07 01:03] [ALPM-SCRIPTLET]  * To enable TOMOYO Linux, append 'security=tomoyo' to the kernel
[2013-04-07 01:03] [ALPM-SCRIPTLET]    boot options and initialize policy with this command:
[2013-04-07 01:03] [ALPM-SCRIPTLET]      /usr/lib/tomoyo/init_policy
[2013-04-07 01:03] [ALPM-SCRIPTLET]
[2013-04-07 01:03] [PACMAN] upgraded tomoyo-tools (2.5.0.20130214-1 -> 2.5.0.20130214-2)
[2013-04-07 01:03] [PACMAN] upgraded virtualbox-guest-modules (4.2.10-2 -> 4.2.10-3)
[2013-04-07 01:03] [ALPM-SCRIPTLET] In order to use the new version, reload all virtualbox modules manually.
[2013-04-07 01:03] [PACMAN] upgraded virtualbox-host-modules (4.2.10-2 -> 4.2.10-3)
[2013-04-07 01:03] [PACMAN] upgraded vlc (2.0.5-4 -> 2.0.5-5)
[2013-04-07 01:03] [PACMAN] upgraded webkitgtk2 (1.10.2-2 -> 1.10.2-3)
[2013-04-07 01:03] [PACMAN] upgraded xproto (7.0.23-1 -> 7.0.24-1)

These are the packages that have been upgraded.
I try to downgrade smplayer but without any success.

Offline

#4 2013-04-07 12:08:02

saronno
Member
Registered: 2009-10-02
Posts: 116

Re: [SOLVED] Smplayer mplayer-vaapi .. Smplayer doesn't work after update.

Now I can't resume from suspension ... mmm...

It seems as it's something related to the video driver ....

Offline

#5 2013-04-07 12:24:31

saronno
Member
Registered: 2009-10-02
Posts: 116

Re: [SOLVED] Smplayer mplayer-vaapi .. Smplayer doesn't work after update.

reinstalling catalyst solved the problem.

Offline

Board footer

Powered by FluxBB